1. Crypto Deposit
v2.1 (Sandbox)
  • v2.1 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • API
    • Getting Started
    • Account Setup For PSP
    • Account Setup For Direct Client
    • Idempotent Requests
    • Webhook
    • API Error Handling Guide
    • Changelog
    • Authentication
      • Create Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
    • Merchant Management
      • Create Merchant
      • Get Merchant
      • Initiate Merchant Activation
      • Confirm Merchant Activation
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Account Management
        • Get Fiat Account Capabilities
        • Create Fiat Account Request
        • Submit Additional Information for Fiat Account Request
        • Get Fiat Account Application Status
        • Get Bank Accounts
        • Add Bank Account
        • Fiat Account Request Status Webhook
      • Fiat Withdrawal
        • Get Same Name Withdrawal Capabilities
        • Activate Same Name Withdrawal
        • Submit Additional Information for Activating Same Name Withdrawal
        • Activate Same Name Withdrawal Webhook
        • Create Fiat Withdrawal
        • Submit Additional Information for Fiat Withdrawal Request
        • Get Fiat Withdrawal Detail
        • Get Fiat Withdrawal History
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
          POST
        • Get Crypto Deposit Wallet
          GET
        • Get Crypto Deposit
          GET
        • Get Crypto Deposit History
          GET
        • Crypto Deposit Webhook
      • Crypto Withdrawal
        • Register Wallet Address
        • Remove Wallet Address
        • Create Crypto Withdrawal
        • Get Wallet Address
        • Get Crypto Withdrawal
        • Get Crypto Withdrawal History
        • Crypto Withdrawal Webhook
      • Crypto Checkout v1.0
        • Create Crypto Checkout
        • Create Crypto Checkout Link
        • Crypto Checkout Wallet Connection
        • Generate POS Payment Request
        • Close Crypto Checkout
        • Get Convertible Cryptos
        • Get Supported Blockchains
        • Get Crypto Checkout
        • Get Crypto Checkout Link
        • Get Crypto Checkout Currencies
        • Crypto Checkout Webhook
      • Crypto Refund v1.0
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
      • Crypto Checkout v2.0
        • Create Checkout
        • Create Crypto Quotation
        • Confirm Checkout
        • Order Accept
        • Get Checkout History
        • Get Checkout
        • Close Checkout
        • Get Checkout Acceptable Cryptos
        • Checkout Status Webhook
      • Crypto Refund v2.0
        • Create Crypto Void
        • Create Crypto Risk Refund
        • Create Crypto Refund
        • Close Crypto Refund
        • Get Crypto Refund
        • Get Checkout Refundable Info
        • Refund Status Webhook
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Statements
      • Create statement
      • Get statement overview
      • Get statement entries
      • Get statement transactions
    • Points
      • Get Points Balance
      • List Points Transactions
      • Get Points Transaction Detail
    • Fee Estimate
      • Fee Estimate
    • Tool
      • Upload File
      • getTnC
      • Validate Crypto Address
  1. Crypto Deposit

Get Crypto Deposit

GET
/v2.0/payment/getCryptoDeposit
API Overview
ItemValue
API StatusStable
Current Versionv2.0
Backward CompatibilityYes
Applicable EnvironmentProduction
Applicable User RolesPSP and Direct Client

Description
Get Crypto Deposit Information

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v2.0/payment/getCryptoDeposit?cryptoDepositId=undefined'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "code": 200,
    "msg": "success",
    "data": {
        "cryptoDepositId": "DP2026041514300001",
        "participantCode": "B0100106",
        "currency": "ETH",
        "amount": "968.39",
        "blockchain": "ETH",
        "fromWalletAddress": "0xAb5801a7D398351b8bE11C439e05C5B3259aeC9B",
        "toWalletAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb5",
        "txHash": "0x8a7b1c3d5e9f2a4b6c8d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2c",
        "travelRuleInfo": {
            "blockchain": "ETH",
            "walletAddress": "0xAb5801a7D398351b8bE11C439e05C5B3259aeC9B",
            "isOwner": false,
            "walletType": 2,
            "platformName": "Binance",
            "platformUserId": "user_binance_12345",
            "ownerInfo": {
                "ownerType": 1,
                "details": {
                    "corporateName": "TechGlobal Inc.",
                    "businessRegistrationNumber": "REG987654321",
                    "dateOfIncorporation": "2015-03-10",
                    "registeredOrBusinessAddress": {
                        "country": "US",
                        "state": "Hawaii",
                        "city": "Honolulu",
                        "postcode": "96813",
                        "addressLine1": "123 Merchant Street",
                        "addressLine2": "Suite 500"
                    }
                }
            }
        },
        "kytInfo": {
            "kytType": 1,
            "kytResult": 2,
            "kytDetails": "Low risk"
        },
        "nonce": 85,
        "blockNumber": 19567892,
        "confirmationCount": 12,
        "status": 1,
        "statusInfo": "PENDING",
        "updatedAt": 1776046508000,
        "createdAt": 1776046508000
    }
}
Modified at 2026-07-23 09:14:04
Previous
Get Crypto Deposit Wallet
Next
Get Crypto Deposit History
Built with